///////////////////////////////////////////////////////////////////////////////////////////////////
//
// Vertex shader for textured primitives with per-vertex color.
//
///////////////////////////////////////////////////////////////////////////////////////////////////

attribute vec4 position;
attribute vec4 vertexColor;
attribute vec2 texCoords;

varying lowp vec4 colorVarying;
varying mediump vec2 fragTexCoords;

uniform mat4 modelViewProjectionMatrix;

void main()
{
    colorVarying = vertexColor;
	fragTexCoords = texCoords;
    gl_Position = modelViewProjectionMatrix * position;
}
